<?php
/**
 * Functions hooked in to wp_custom_page_before_wrap add_action
 *
 */
do_action( 'wp_custom_page_before_wrap' );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-<?php the_ID(); ?>-inner">
		<?php
		/**
		 * Functions hooked in to wp_custom_page_before add_action
		 *
		 */
		do_action( 'wp_custom_page_before' );

		/**
		 * Functions hooked in to wp_custom_page add_action
		 *
		 */
		do_action( 'wp_custom_page' );

		/**
		 * Functions hooked in to wp_custom_page_after add_action
		 *
		 */
		do_action( 'wp_custom_page_after' );
		?>
		<div class="clear"></div>
	</div>
</article>
<?php
/**
 * Functions hooked in to wp_custom_page_after_wrap add_action
 *
 */
do_action( 'wp_custom_page_after_wrap' );